Jivox API Documentation
v1.0
GenAI & Template Generation
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Placements
Copy Markdown
Open in ChatGPT
Open in Claude
The various methods for Placements are listed below:
- List Formatted DSP and Placement
- Get Ad Unit Details For Placement
- Add Placement API
- Edit Placement API
List Formatted DSP and Placement
Lists all the DSP and placement related information for a given media plan.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| mediaPlanId | string | Mandatory | path | ID of the media plan associated with a given user account. |
| campaignId | string | Mandatory | path | ID of the Campaign for which Tags need to be generated |
Sample Request
HTTP
GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans-bulkTag/:mediaPlanId/campaign/:campaignIdSample Response
JSON
{ "adServers": [ { "adServerName": "AppNexus", //DSP Associated with placement "adServerParams": { "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${GDPR_CONSENT_294}", "gdprMacro": true, "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "js" }, "placements": [ { "additionalInfo": { "adUnitType": "IAB Pencil", "dspName": "AppNexus", //DSP Associated with placement "params": { "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${GDPR_CONSENT_294}", "gdprMacro": true, "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "js" } }, "dimension": "970x35", "isTagPresent": false, "placementId": "e60e24b", //Jivox Placement Id "placementName": "pn3", "siteIdx": 164831, //Jivox SiteId "siteName": "Site2" } ] }, { "adServerName": "DFP", "adServerParams": { "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${GDPR_CONSENT_294}", "gdprMacro": true, "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "js" }, "placements": [ { "additionalInfo": { "adUnitType": "FilmstrIP", "dspName": "DFP", "params": { "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${GDPR_CONSENT_294}", "gdprMacro": true, "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "js" } }, "dimension": "300x600", "isTagPresent": false, "placementId": "02d1ea9", "placementName": "pn4", "siteIdx": 164832, "siteName": "Site3" } ] } ], "mediaPlanId": 56353, "mediaPlanName": "eleven-bulk-tag"}Get Ad Unit Details for Placement
Gets all possible ad units to generate a tag for a given placement.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| mediaPlanId | string | Mandatory | path | ID of the media plan associated with a given user account. |
| campaignId | string | Mandatory | path | ID of the Campaign for which Tags need to be generated |
Sample Request
HTTP
GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans/:mediaPlanId/campaign/:campaignId/adunitdetailsQuery Parameters
placementId - This is the placementId
Sample Response
JSON
{ "inBannerAdUnit": { "adUnitTypes": [ { "id": 2000, "name": "IAB Medium Rectangle" } ], "hasMobileUnit": true, "mobileBannerType": ["Image", "Custom Layout"], "mobileFlexCreativeUnitType": { "IAB Mobile Adhension": 57 } "dimension": "300x250" }, "inStreamAdUnit": { "adTagType": [ "URL" ], "dynamicPriVideo": false, "playerType": [ "VPAID 2.0", "VAST 2.0", "VAST 3.0" ], "videoTagType": [ "In-Stream Video", "In-Banner Video" ] }, "mobileAdUnit": { "adUnitTypes": [ { "id": 300, "name": "Leaderboard" } ], "dimension": "300x250" }, "nativeAdUnit": { "adUnitTypes": [ { "id": 8000, // Jivox ad Unit Id "name": "Native Ad Triplelift" }, { "id": 8100, "name": "Native Ad ShareThrough" } ], "dimension": "1x1", "responseFormat": { "1": "Open RTB Native 1.2", "2": "IAB Dynamic Content AD Standard" } }, "placementId": "ac4e188"}Add Placement API
Creates a new placement under the selected media plan
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| mediaPlanId | string | Mandatory | path | ID of the media plan associated with a given user account |
Sample Request
HTTP
POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans/:mediaPlanId/placementRequest Body
JSON
{ "placementName": "DevCreaPlacement", "siteName": "xyz.com", "dimension": "300x250", "adServer": "DCM"}Sample Response
JSON
{ "additionalInfo": { "adUnitType": "", "dspName": "DCM", "params": { "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${GDPR_CONSENT_294}", "gdprMacro": true, "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "js" } }, "dimension": "300x250", "isTagPresent": false, "placementId": "a57cd7c", "placementName": "DevCreate2Placement", "siteIdx": 120530, "siteName": "xyz.com"}Edit Placement API
Updates the placement.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| mediaPlanId | string | Mandatory | path | ID of the media plan associated with a given user account |
Sample Request
HTTP
PATCH http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans/:mediaPlanId/placementRequest Body
JSON
{ "placementId": "a57cd7c", "siteIdx": 120530, "placementName": "pn1", "siteName": "siteABC", "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${abcde}", "gdprMacro": true, "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "js", "adServer": "DCM", "dimension": "100x50"}Sample Response
JSON
{ "additionalInfo": { "adUnitType": "", "dspName": "DCM", "params": { "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${abcde}", "gdprMacro": "${abcdef}", "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "js" } }, "dimension": "100x50", "isTagPresent": false, "placementId": "a57cd7c", "placementName": "pn1", "siteIdx": 120530, "siteName": "siteABC"}Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Last updated on
Was this page helpful?
Next to read:
TrackersDiscard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message